@ECHO ON

set QMNAME=QM1

rem Stop the MQSeries service so that it does not restart anything.
rem This will end all MQSeries activity on this system.
amqsvc -stop

rem Delete any existing queue manager of this name.
dltmqm %QMNAME%

rem Create the new Queue Manager.
crtmqm -c "Queue manager %QMNAME%" -u SYSTEM.DEAD.LETTER.QUEUE %QMNAME%

rem Start the newly created Queue Manager so that we can configure it.
strmqm %QMNAME%

rem Configure the new Queue Manager.
runmqsc %QMNAME% < QM1.mqsc

rem Stop the Queue Manager so that the service can restart it.
endmqm -i %QMNAME%

rem Load up the new registry keys.
regedit /s qm1.reg

rem Reset permissions on the registry keys.
amqmskyn

rem Restart the MQSeries service so that it can start the queue manager
amqsvc -start